Subject: [Gen-art] Summary for the changes in hiopt-13

From: Heejin Jang <[email-masked]>
Date: Tue, 15 Apr 2008 05:54:46 +0000 (GMT)

Hi, Jari.

The authors has submitted a new version of document, draft-ietf-mip6-hiopt-13.txt.
As a result of comments from Suresh, Pasi and Alfred, there were changes as below.

1)  Dynamic discovery for dual-stacked HA was added.
- a new reference for RFC3344 (Mobile IPv4) was added 
- a sub-option for FQDN (Sub-opt-code 5) was extended so that the MN can know
the provided HA is only for MIP6 or for dual-stacked.
- IANA section was changed to indicate a Dual-stack information in the sub-option for FQDN. 

2)  Merge a previous MIP6 Relay Agent sub-option & a Home Network 
Information sub-option to  a Common sub-option
- delete a MIP6 Relay agent sub-option and define a common option 
  (Section 3.1.1 and 3.2.1 were integrated into Section 3.3)
- modification of sub-opt-code definition in the body and IANA section.

3) Etc
- To place multiple options and in the order of preference in the Home Network 
  Information option.
- Reference to <draft-ietf-dime-mip6-integrated-08> in the informative refereces
- Editorial revisions

Thanks for your patience and kind help.

- Best regards, 
Heejin 
_______________________________________________
Gen-art mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/gen-art

---

From: Jari Arkko <[email-masked]>
Date: Tue, 15 Apr 2008 12:43:16 +0300

Thanks for the new version. I would still like you to revise this one
more time (see below). In addition, I would like at least one of the
MEXT chairs to review this draft, given the number of changes due to the
v4 support and Alfred's review. And Alfred, can you review the -13 so to
ensure your changes were correctly edited in? (Except the ones that I
said we will not take.)

I have reviewed the changes in -13 [1] and found the to be according to
the agreement. However, the following new issues have crept in:

Introduction claims that this draft supports Mobile IPv4. When on Pasi's
request we added IPv4 support, I believe we meant to support Mobile IPv6
home agents that have an IPv4 address. NOT Mobile IPv4. Please revise
Section 3, 3.3, 4.3, and 6 accordingly.

Section 3.3 specifies a scheme where in addition to the FQDN the option
also includes a flag to indicate IPv4 vs. IPv6 support. I believe this
is unnecessary and in fact harmful. We have a DNS system that is
perfectly capable of returning the set of IPv4 and IPv6 addresses that
have been configured for a particular fqdn. This should be used instead.
This avoids mistakes such as those where you say in DHCP the home agent
is IPv6 capable when in fact it does not have AAAA record in DNS. And,
the one bit flag can only support a subset of scenarios already
supported by DNS. (Such as IPv4 only.) Please take away the flags byte.

IANA considerations section lists one value as "-2" when it should be "2".

One RFC Editor note has been taken into account. Please change this to
the -14:

Please change in Section 3.1:

OLD:
               2    No preference
NEW:
               2    No preference by the mobile node

Jari

[1]
http://tools.ietf.org/wg/mip6/draft-ietf-mip6-hiopt/draft-ietf-mip6-hiopt-13-from-12.diff.html